Package org.apache.sling.jcr.base.util

## Class RepositoryAccessor

- java.lang.Object
- - org.apache.sling.jcr.base.util.RepositoryAccessor

    @Deprecated
    public class RepositoryAccessor
    extends Object

Deprecated.
No longer supported
Access a Repository via JNDI or RMI.

### Field Summary

Fields
`static String` `JNDI_PREFIX` Deprecated.
`static String` `REPOSITORY_URL_OVERRIDE_PROPERTY` Deprecated. Name of the property that the jcr client and server bundles to override their default configuration settings and connect to the specified repository instead (SLING-254 and SLING-260)
`static String` `RMI_PREFIX` Deprecated.

### Constructor Summary

Constructors
`RepositoryAccessor()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected org.apache.jackrabbit.rmi.client.ClientRepositoryFactory` `getClientRepositoryFactory()` Deprecated. No longer supported
`protected org.apache.jackrabbit.rmi.client.LocalAdapterFactory` `getLocalAdapterFactory()` Deprecated. No longer supported
`javax.jcr.Repository` `getRepository​(String repositoryName, Hashtable<String,​Object> jndiContext)` Deprecated. No longer supported
`javax.jcr.Repository` `getRepositoryFromURL​(String url)` Deprecated. No longer supported

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RMI_PREFIX

    @Deprecated
    public static final String RMI_PREFIX

Deprecated.
Prefix for RMI Repository URLs

See Also:
  Constant Field Values

#### JNDI_PREFIX

    @Deprecated
    public static final String JNDI_PREFIX

Deprecated.
Prefix for JNDI Repository URLs

See Also:
  Constant Field Values

#### REPOSITORY_URL_OVERRIDE_PROPERTY

    public static final String REPOSITORY_URL_OVERRIDE_PROPERTY

Deprecated.
Name of the property that the jcr client and server bundles to override their default configuration settings and connect to the specified repository instead (SLING-254 and SLING-260)

See Also:
  Constant Field Values

### Constructor Detail

#### RepositoryAccessor

    public RepositoryAccessor()

Deprecated.

### Method Detail

#### getRepository

    @Deprecated
    public javax.jcr.Repository getRepository​(String repositoryName,
                                              Hashtable<String,​Object> jndiContext)

Deprecated.
No longer supported
First try to access the Repository via JNDI (unless jndiContext is null), and if not successful try RMI.

Parameters:
  `repositoryName` - JNDI name or RMI URL (must start with "rmi://") of the Repository
  `jndiContext` - if null, JNDI is not tried
Returns:
  a Repository, or null if not found
Throws:
  `UnsupportedOperationException` - Always throws `UnsupportedOperationException`

#### getRepositoryFromURL

    @Deprecated
    public javax.jcr.Repository getRepositoryFromURL​(String url)

Deprecated.
No longer supported
Acquire a Repository from the given URL

Parameters:
  `url` - for RMI, an RMI URL. For JNDI, "jndi://", followed by the JNDI repository name, followed by a colon and a comma-separated list of JNDI context values, for example:

            jndi://jackrabbit:java.naming.factory.initial=org.SomeClass,java.naming.provider.url=http://foo.com

Returns:
  the repository for the given url
Throws:
  `UnsupportedOperationException` - Always throws `UnsupportedOperationException`

#### getLocalAdapterFactory

    @Deprecated
    protected org.apache.jackrabbit.rmi.client.LocalAdapterFactory getLocalAdapterFactory()

Deprecated.
No longer supported
Returns the `LocalAdapterFactory` used to convert Jackrabbit JCR RMI remote objects to local JCR API objects.

This method returns an instance of the `JackrabbitClientAdapterFactory` which allows accessing Jackrabbit (or Jackrabbit-based) repositories over RMI. Extensions of this class may overwrite this method to use a different implementation.

Returns:
  the `LocalAdapterFactory` used to convert Jackrabbit JCR RMI remote objects to local JCR API objects.
Throws:
  `UnsupportedOperationException` - Always throws `UnsupportedOperationException`

#### getClientRepositoryFactory

    @Deprecated
    protected org.apache.jackrabbit.rmi.client.ClientRepositoryFactory getClientRepositoryFactory()

Deprecated.
No longer supported
Returns the `ClientRepositoryFactory` to access the remote JCR repository over RMI.

This method creates an instance of the `ClientRepositoryFactory` class initialized with the `LocalAdapterFactory` returned from the `getLocalAdapterFactory()` method. Extensions may overwrite this method to return an extension of the Jackrabbit JCR RMI `ClientRepositoryFactory` class.

Returns:
  the `ClientRepositoryFactory` to access the remote JCR repository over RMI.
Throws:
  `UnsupportedOperationException` - Always throws `UnsupportedOperationException`